precision highp float;

varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main()
{
    vec4 source = texture2D(inputImageTexture, textureCoordinate);
    vec4 destination =  texture2D(inputImageTexture2, textureCoordinate2);

    source *= (1. - destination.r);
    gl_FragColor = source;
}
