precision highp float;

attribute vec4 position;
attribute vec4 inputTextureCoordinate;

varying vec2 textureCoordinate;

uniform int fromStart;
uniform float hwRatio;

void main() {

    float x = position.x / 3.5 - 0.714285;// from - 1 tp -0.5
    float y = position.y /(3.5 * hwRatio) - 0.714285;

    if (fromStart > 0){
        x += 0.1;
    } else {
        x += 1.285715 - 0.1;
    }
    //
    //    float x = position.x / 4.0 - 0.75 + 0.1;// from - 1 tp -0.5
    //    float y = position.y / 4.0 - 0.75 + 0.1;

    //    x = clamp(x, -0.6, -0.5);
    gl_Position = vec4(x, y, position.z, position.w);
    //    gl_Position = position;
    //    float a = smoothstep(0.25, 0.75, inputTextureCoordinate.x);
    //    float b = smoothstep(0.25, 0.75, inputTextureCoordinate.y);
    //    textureCoordinate = vec2(a, b);
    textureCoordinate = inputTextureCoordinate.xy;
}