precision mediump float;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

varying highp vec2 textureCoordinate;

uniform float red;

void main() {
    lowp vec4 source = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 destination = texture2D(inputImageTexture2, textureCoordinate);
    lowp vec4 mask = texture2D(inputImageTexture3, textureCoordinate);

    vec3 shade = vec3(1., 0., 0.);
    lowp vec4 color = vec4(mix(destination.rgb, shade, red), destination.a);
    float a = mask.r;

    gl_FragColor = mix(source, color, a);
}